Upload an agency document
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/agency_documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agency_document": {
"title": "Test Document",
"video_url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ"
}
}
'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/agency_documents"
payload = { "agency_document": {
"title": "Test Document",
"video_url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agency_document: {
title: 'Test Document',
video_url: 'https://www.youtube.com/watch?v=dQw4w9WgXcQ'
}
})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/agency_documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/agency_documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'agency_document' => [
'title' => 'Test Document',
'video_url' => 'https://www.youtube.com/watch?v=dQw4w9WgXcQ'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/agency_documents"
payload := strings.NewReader("{\n \"agency_document\": {\n \"title\": \"Test Document\",\n \"video_url\": \"https://www.youtube.com/watch?v=dQw4w9WgXcQ\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/agency_documents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"agency_document\": {\n \"title\": \"Test Document\",\n \"video_url\": \"https://www.youtube.com/watch?v=dQw4w9WgXcQ\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/agency_documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"agency_document\": {\n \"title\": \"Test Document\",\n \"video_url\": \"https://www.youtube.com/watch?v=dQw4w9WgXcQ\"\n }\n}"
response = http.request(request)
puts response.read_body{
"agency_document": {
"public_uid": "AD-8002364",
"title": "Test Document",
"description": null,
"category": null,
"visible": true,
"video_url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ",
"created_at": "2026-09-14T14:02:40.187+10:00"
}
}Agency / Documents
Upload an agency document
Adds a document shared across the agency.
POST
/
{agency_uid}
/
agency_documents
Upload an agency document
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/agency_documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agency_document": {
"title": "Test Document",
"video_url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ"
}
}
'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/agency_documents"
payload = { "agency_document": {
"title": "Test Document",
"video_url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agency_document: {
title: 'Test Document',
video_url: 'https://www.youtube.com/watch?v=dQw4w9WgXcQ'
}
})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/agency_documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/agency_documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'agency_document' => [
'title' => 'Test Document',
'video_url' => 'https://www.youtube.com/watch?v=dQw4w9WgXcQ'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/agency_documents"
payload := strings.NewReader("{\n \"agency_document\": {\n \"title\": \"Test Document\",\n \"video_url\": \"https://www.youtube.com/watch?v=dQw4w9WgXcQ\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/agency_documents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"agency_document\": {\n \"title\": \"Test Document\",\n \"video_url\": \"https://www.youtube.com/watch?v=dQw4w9WgXcQ\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/agency_documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"agency_document\": {\n \"title\": \"Test Document\",\n \"video_url\": \"https://www.youtube.com/watch?v=dQw4w9WgXcQ\"\n }\n}"
response = http.request(request)
puts response.read_body{
"agency_document": {
"public_uid": "AD-8002364",
"title": "Test Document",
"description": null,
"category": null,
"visible": true,
"video_url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ",
"created_at": "2026-09-14T14:02:40.187+10:00"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Agency public_uid
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
Created
Show child attributes
Show child attributes